All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver
Class _rprxRemoteBookmarkManagerClient

    com.sas.sasserver._rprxRemoteBookmarkManagerClient

All Implemented Interfaces:
  com.sas.beans.IntrospectInterfaceForBeanInfo, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, ComponentInterface, LinkPropertiesInterface, ModelInterface, com.sas.rmi.ConnectionLoginInterface, com.sas.rmi.DelegationModelInterface, com.sas.rmi.DesignTimeInf, com.sas.rmi.RocfRemoteObject, BookmarkManagerInterface, RemoteBookmarkManagerInterface, ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class _rprxRemoteBookmarkManagerClient

implements BookmarkManagerInterface, RemoteBookmarkManagerInterface, ComponentInterface, com.sas.rmi.DelegationModelInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sas.sasserver.BookmarkManagerInterface
`contextClasspath, INVALID_PASSWORD, NEW_USER, VALIDATED`

Constructor Summary
`_rprxRemoteBookmarkManagerClient()`

Method Summary
`com.sas.collection.hlist.HListInterface` | `_getBookmarkData(com.sas.collection.hlist.HListInterface p1)`
`com.sas.collection.hlist.HListInterface` | `_getBookmarks(long p1, java.lang.String p2)`
`com.sas.collection.hlist.HListInterface` | `_getBookmarks(long p1, java.lang.String p2, java.lang.String p3)`
`java.lang.Class` | `_getDelegateClass()` Return the class of the delegate or null if none
`java.lang.String[]` | `_getMessage()`
`com.sas.collection.hlist.HListInterface` | `_getUsers(long p1, boolean p2)`
`java.lang.Object` | `_Remote_getBookmarkData(java.lang.Object p1)`
`java.lang.Object` | `_Remote_getBookmarks(long p1, java.lang.String p2)`
`java.lang.Object` | `_Remote_getBookmarks(long p1, java.lang.String p2, java.lang.String p3)`
`java.lang.String[]` | `_Remote_getUsers(long p1, boolean p2)`
`void` | `_Remote_setBookmarks(java.lang.String p1, long p2, java.lang.String p3, java.lang.String p4, java.lang.Object p5)`
`int` | `_Remote_validateUser(java.lang.String p1, java.lang.String p2)`
`void` | `_RemoteConstructor()`
`void` | `_RemoteObject_getInstance()` Gets an existing instance of the object
`void` | `_RemoteObject_newInstance()` Creates a new instance of the object
`int` | `_RemoteObject_version()`
`long` | `_setBookmarks(java.lang.String p1, long p2, java.lang.String p3, java.lang.String p4, com.sas.collection.hlist.HListInterface p5)`
`void` | `_setRemoteHandle(java.lang.Object o)`
`long` | `_validateUser(java.lang.String p1, java.lang.String p2)`
`java.lang.Object` | `getBookmarkData(java.lang.Object p1)` A list (has an eis entry name) passed in to get the real application list
`java.lang.Object` | `getBookmarks(long p1, java.lang.String p2)` Get the list of bookmarks and folders (public only) for a given document and username
`java.lang.Object` | `getBookmarks(long p1, java.lang.String p2, java.lang.String p3)` Get the list of bookmarks and folders (public and private) for a given document and username only if the password is valid
`java.lang.String[]` | `getUsers(long p1, boolean p2)` Get all the users who have registered bookmarks for a given document.
`void` | `newRemoteObject()`
`void` | `setBookmarks(java.lang.String p1, long p2, java.lang.String p3, java.lang.String p4, java.lang.Object p5)` Set the bookmarks for a given user.
`void` | `stop()`
`int` | `validateUser(java.lang.String p1, java.lang.String p2)` Validate the password for a given username.

Methods inherited from class com.sas.Component
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, beansIsDesignTime, beansSetDesignTime, clone, clone, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getExtendedBeanInfo, getLinkInfo, getModelInterface, getRequiredInterfaces, getResources, getStringResource, getViewInterfaceSupportInfo, initialize, initializeComponent, isDesignTime, isLinked, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues, setLinkInfo, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Methods inherited from interface com.sas.ComponentInterface
`addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, initialize, initializeComponent, isDesignTime, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues`

Methods inherited from interface com.sas.ViewInterface
`attachModel, detachModel, getModelInterface, getRequiredInterfaces, getViewInterfaceSupportInfo, refresh, removeInterfaceTraps, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsRequiredInterfaces, trapInterfaceEvents`

Methods inherited from interface com.sas.ModelInterface
`attachView, detachView`

Methods inherited from interface com.sas.LinkPropertiesInterface
`addLink, getLinkInfo, isLinked, queryLinks, queryLinks, removeAllLinks, removeLink, setLinkInfo`

Constructor Detail

### _rprxRemoteBookmarkManagerClient

    public _rprxRemoteBookmarkManagerClient()

Method Detail

### stop

    public void stop()

  Overrides:
    `stop` in class `com.sas.rmi.RMIBaseClient`

### _setRemoteHandle

    public void _setRemoteHandle(java.lang.Object o)

### _RemoteObject_getInstance

    public void _RemoteObject_getInstance()
                                   throws java.lang.Exception

  Description copied from class: `RMIBaseClient`
  Gets an existing instance of the object

  Overrides:
    `_RemoteObject_getInstance` in class `com.sas.rmi.RMIBaseClient`
  Throws:
    `java.lang.Exception` - If some type of exception occurs

### _RemoteObject_newInstance

    public void _RemoteObject_newInstance()
                                   throws java.lang.Exception

  Description copied from class: `RMIBaseClient`
  Creates a new instance of the object

  Overrides:
    `_RemoteObject_newInstance` in class `com.sas.rmi.RMIBaseClient`
  Throws:
    `java.lang.Exception` - If some type of exception occurs

### _RemoteObject_version

    public int _RemoteObject_version()

  Specified by:
    `_RemoteObject_version` in interface `com.sas.rmi.RocfRemoteObject`
  Specified by:
    `_RemoteObject_version` in class `com.sas.rmi.RemoteBaseClient`

### _getDelegateClass

    public java.lang.Class _getDelegateClass()

  Description copied from interface: `DelegationModelInterface`
  Return the class of the delegate or null if none

  Specified by:
    `_getDelegateClass` in interface `com.sas.rmi.DelegationModelInterface`
  Overrides:
    `_getDelegateClass` in class `com.sas.rmi.RemoteBaseClient`

### _RemoteConstructor

    public void _RemoteConstructor()
                            throws java.lang.Exception,
                                   java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### newRemoteObject

    public void newRemoteObject()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getBookmarks

    public java.lang.Object getBookmarks(long p1,
                                         java.lang.String p2)
                                  throws BookmarkException

  Description copied from interface: `BookmarkManagerInterface`
  Get the list of bookmarks and folders (public only) for a given document and username

  Specified by:
    `getBookmarks` in interface `BookmarkManagerInterface`
  Parameters:
    `p1` - of the document associated with the bookmark
    `p2` - of the user for the document
  Returns:
    HList containing lists of Bookmark information
  Throws:
    `BookmarkException` - if unable to get list of bookmarks from server

### _Remote_getBookmarks

    public java.lang.Object _Remote_getBookmarks(long p1,
                                                 java.lang.String p2)
                                          throws BookmarkException

  Throws:
    `BookmarkException`

### getBookmarks

    public java.lang.Object getBookmarks(long p1,
                                         java.lang.String p2,
                                         java.lang.String p3)
                                  throws BookmarkException

  Description copied from interface: `BookmarkManagerInterface`
  Get the list of bookmarks and folders (public and private) for a given document and username only if the password is valid

  Specified by:
    `getBookmarks` in interface `BookmarkManagerInterface`
  Parameters:
    `p1` - of the document associated with the bookmark
    `p2` - of the user for the document
    `p3` - for the user
  Returns:
    HList containing lists of Bookmark information
  Throws:
    `BookmarkException` - if the password is invalid for the userName

### _Remote_getBookmarks

    public java.lang.Object _Remote_getBookmarks(long p1,
                                                 java.lang.String p2,
                                                 java.lang.String p3)
                                          throws BookmarkException

  Throws:
    `BookmarkException`

### setBookmarks

    public void setBookmarks(java.lang.String p1,
                             long p2,
                             java.lang.String p3,
                             java.lang.String p4,
                             java.lang.Object p5)
                      throws BookmarkException

  Description copied from interface: `BookmarkManagerInterface`
  Set the bookmarks for a given user. If password is invalid for an existing user BookmarkException is thrown

  Specified by:
    `setBookmarks` in interface `BookmarkManagerInterface`
  Parameters:
    `p1` - associated with the bookmark
    `p2` - associated with the bookmark
    `p3` - of the user for the document
    `p4` - for the user
  Throws:
    `BookmarkException`

### _Remote_setBookmarks

    public void _Remote_setBookmarks(java.lang.String p1,
                                     long p2,
                                     java.lang.String p3,
                                     java.lang.String p4,
                                     java.lang.Object p5)
                              throws BookmarkException

  Throws:
    `BookmarkException`

### getUsers

    public java.lang.String[] getUsers(long p1,
                                       boolean p2)
                                throws BookmarkException

  Description copied from interface: `BookmarkManagerInterface`
  Get all the users who have registered bookmarks for a given document.

  Specified by:
    `getUsers` in interface `BookmarkManagerInterface`
  Parameters:
    `p1` - for the users list
    `p2` - the users registered for a given document. If false, only return those users who have registered "public" bookmarks.
  Returns:
    an array of user Names for a given document.
  Throws:
    `BookmarkException`

### _Remote_getUsers

    public java.lang.String[] _Remote_getUsers(long p1,
                                               boolean p2)
                                        throws BookmarkException

  Throws:
    `BookmarkException`

### validateUser

    public int validateUser(java.lang.String p1,
                            java.lang.String p2)
                     throws BookmarkException

  Description copied from interface: `BookmarkManagerInterface`
  Validate the password for a given username.

  Specified by:
    `validateUser` in interface `BookmarkManagerInterface`
  Parameters:
    `p1` - to validate the password for.
    `p2` - to validate for a given username.
  Returns:
    integer indicating if the password is valid or not. Possible return values are VALIDATED=0, NEW_USER =1, INVALID_PASSWORD=-1.
  Throws:
    `BookmarkException` - if error validating user

### _Remote_validateUser

    public int _Remote_validateUser(java.lang.String p1,
                                    java.lang.String p2)
                             throws BookmarkException

  Throws:
    `BookmarkException`

### getBookmarkData

    public java.lang.Object getBookmarkData(java.lang.Object p1)
                                     throws BookmarkException

  Description copied from interface: `BookmarkManagerInterface`
  A list (has an eis entry name) passed in to get the real application list

  Specified by:
    `getBookmarkData` in interface `BookmarkManagerInterface`
  Returns:
    An application list associated woith the entry name list
  Throws:
    `BookmarkException`

### _Remote_getBookmarkData

    public java.lang.Object _Remote_getBookmarkData(java.lang.Object p1)
                                             throws BookmarkException

  Throws:
    `BookmarkException`

### _getBookmarks

    public com.sas.collection.hlist.HListInterface _getBookmarks(long p1,
                                                                 java.lang.String p2)

  Specified by:
    `_getBookmarks` in interface `RemoteBookmarkManagerInterface`

### _getBookmarks

    public com.sas.collection.hlist.HListInterface _getBookmarks(long p1,
                                                                 java.lang.String p2,
                                                                 java.lang.String p3)

  Specified by:
    `_getBookmarks` in interface `RemoteBookmarkManagerInterface`

### _setBookmarks

    public long _setBookmarks(java.lang.String p1,
                              long p2,
                              java.lang.String p3,
                              java.lang.String p4,
                              com.sas.collection.hlist.HListInterface p5)

  Specified by:
    `_setBookmarks` in interface `RemoteBookmarkManagerInterface`

### _getUsers

    public com.sas.collection.hlist.HListInterface _getUsers(long p1,
                                                             boolean p2)

  Specified by:
    `_getUsers` in interface `RemoteBookmarkManagerInterface`

### _validateUser

    public long _validateUser(java.lang.String p1,
                              java.lang.String p2)

  Specified by:
    `_validateUser` in interface `RemoteBookmarkManagerInterface`

### _getMessage

    public java.lang.String[] _getMessage()

  Specified by:
    `_getMessage` in interface `RemoteBookmarkManagerInterface`

### _getBookmarkData

    public com.sas.collection.hlist.HListInterface _getBookmarkData(com.sas.collection.hlist.HListInterface p1)

  Specified by:
    `_getBookmarkData` in interface `RemoteBookmarkManagerInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.